.promo-image-text {
    padding: 55px 20px 42px;
}

.promo-image-text .container {
    max-width: 1715px;
    margin: 0 auto;
    display: flex;
    gap: 30px;
}

.image-wrapper {
    width: 50%;
    min-height: 433px;
    overflow: hidden;
}

.image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content-wrapper {
    width: 50%;
    padding: 36px;
    background-color: #04375F;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 32px;
}

.content-wrapper .title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 600;
    font-size: clamp(2rem, -2.5504rem + 5.042vw, 3.5rem);
    line-height: 1.3;
    color: #FFFFFF;
    text-align: center;
    margin: 0;
    padding: 0;
}

.content-wrapper .text {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: clamp(0.875rem, -1.021rem + 2.1008vw, 1.5rem);
    line-height: 1.2;
    color: #FFFFFF;
    text-align: center;
}

@media (min-width: 1444px) {
    .promo-image-text .container {
        max-width: 1715px;
    }
}

@media (max-width: 768px) {
    .promo-image-text .container {
        flex-direction: column;
        gap: 20px;
    }

    .image-wrapper,
    .content-wrapper {
        width: 100%;
        min-height: fit-content;
    }

    .content-wrapper {
        padding: 20px;
    }
}